de.esprit.netsuite.client.admin.action

## Class FetchUserListAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.netsuite.client.gui.action.ClientAction<C>
      - - de.esprit.netsuite.client.gui.action.AgentAction<ClientContext,GetUsersAgent>
        - - de.esprit.netsuite.client.admin.action.FetchUserListAction

- All Implemented Interfaces:
    ApplicationObject<ClientContext>, CancellableTask, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class FetchUserListAction
      extends AgentAction<ClientContext,GetUsersAgent>

  This action reads the user-list from the server and prints it onto the given console
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchUserListAction(ClientContext clientCtx, TextPrintable console)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `agentSucceeded(GetUsersAgent agentOut)` Is called finally when the agent has succeeded.
    `protected GetUsersAgent` | `createInputAgent()` Creates the input agent to be sent to the server for execution.

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.AgentAction

      `actionFired, agentFailed, cancel, handleBlockingTimeout, setBlockingTimeout, wasCancelled`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientAction

      `actionFailed, checkEnableCondition, getClientContext, getSessionId, isConnectionSensitive, isLoggedIn, isOffline, isOnline, setConnectionSensitive`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchUserListAction

          public FetchUserListAction(ClientContext clientCtx,
                             TextPrintable console)

  - ### Method Detail

    - #### createInputAgent

          protected GetUsersAgent createInputAgent()

      Description copied from class: `AgentAction`
      Creates the input agent to be sent to the server for execution. This agent may be sync or async. An async agent will cause the action to disable until the result agent is received in a message, or the agent is cancelled.
      Specified by:
        `createInputAgent` in class `AgentAction<ClientContext,GetUsersAgent>`

    - #### agentSucceeded

          protected void agentSucceeded(GetUsersAgent agentOut)

      Description copied from class: `AgentAction`
      Is called finally when the agent has succeeded. Default implementation is empty.
      Overrides:
        `agentSucceeded` in class `AgentAction<ClientContext,GetUsersAgent>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.